﻿using System;
using System.Windows.Threading;

namespace DesktopClock
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        TimeSpan timer = new TimeSpan(0, 0, 1);
        DispatcherTimer updateTimer = new DispatcherTimer();

        public MainWindow()
        {
            InitializeComponent();
            TimeBox.Text = DateTime.Now.ToShortTimeString();
            DateBox.Text = DateTime.Now.ToLongDateString();
            updateTimer.Interval = timer;
            updateTimer.Tick += UpdateGUI;
            updateTimer.Start();
        }

        private void UpdateGUI(object sender, EventArgs e)
        {
            TimeBox.Text = DateTime.Now.ToShortTimeString();
            DateBox.Text = DateTime.Now.ToLongDateString();
            if (updateTimer.IsEnabled) updateTimer.Start();
        }
    }
}
